## ros-noetic-rc-reason-clients 0.3.0

=== debian/changelog ===
ros-noetic-rc-reason-clients (0.3.0-1buster) buster; urgency=high

  * use updated rc_reason_msgs

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-reason-clients (0.2.1-1buster) buster; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-noetic-rc-reason-clients (0.2.0-1buster) buster; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jun 2021 22:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rc-reason-clients//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rc-reason-clients 0.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0)

project(rc_reason_clients)
include(cmake/project_version.cmake)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy rc_reason_msgs
)

catkin_python_setup()

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rc_msgs
  CATKIN_DEPENDS message_runtime rc_reason_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
)

# install node wrappers
catkin_install_python(PROGRAMS
  scripts/rc_hand_eye_calibration_client
  scripts/rc_april_tag_detect_client
  scripts/rc_qr_code_detect_client
  scripts/rc_boxpick_client
  scripts/rc_itempick_client
  scripts/rc_silhouettematch_client
  scripts/rc_load_carrier_client
  scripts/rc_cadmatch_client
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
set(CPACK_DEBIAN_PACKAGE_DEPENDS "ros-$ENV{ROS_DISTRO}-rc-reason-msgs")
include(cmake/package_debian.cmake)

=== debian/changelog ===
ros-noetic-rc-reason-clients (0.3.1-1focal) focal; urgency=high

  * rc_hand_eye_calibration_client: fix RestClient import

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 14 Jun 2023 22:00:00 -0000

ros-noetic-rc-reason-clients (0.3.0-1focal) focal; urgency=high

  * use updated rc_reason_msgs

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-noetic-rc-reason-clients (0.2.1-1focal) focal; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-noetic-rc-reason-clients (0.2.0-1focal) focal; urgency=high

  * initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 10 Jun 2021 22:00:00 -0000

=== debian/control ===
Source: ros-noetic-rc-reason-clients
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), python3-requests, ros-noetic-catkin, ros-noetic-ddynamic-reconfigure-python, ros-noetic-message-runtime, ros-noetic-rc-reason-msgs, ros-noetic-rospy
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rc-reason-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-requests, ros-noetic-ddynamic-reconfigure-python, ros-noetic-message-runtime, ros-noetic-rc-reason-msgs, ros-noetic-rospy
Description: Clients for interfacing with Roboception reason modules on rc_visard and rc_cube.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
